/* You can add global styles to this file, and also import other style files */
$windowWidth: 800px;
$windowHeight: 600px;

//colors
$windowBackground: #161326;
$windowBorderColor: #332E4D;
$windowShadowColor: rgba(0, 0, 0, 0.5);
$appNameColor: #F4F2FF;
$windowButtonBacgroundHover: #332E4D;
$windowButtonBacgroundHoverClose: #E6004C;
$windowButtonsIconsColor: #958FB2;
$windowButtonsIconsColorHover: #F4F2FF;

$buttonPrimaryBg: #E6004C;
$buttonPrimaryBgHover: #FF0055;
$buttonTxtColorLight: #ffffff;
$buttonTxtColorBright: #F4F2FF;
$buttonBorderColor: #797399;
$buttonSecundaryBgHoverColor: #332E4D;
$buttonThirdBgHover: #332E4D;
$buttonThirdBgHoverToolTip: #797399;
$buttonSecundaryBgTooTip: #484266;
$buttonSecundaryBgHoverTooTip: #797399;
$subscribedButtonBg: #4A18E3;
$subscribedButtonBgHover: #551DFF;
.window-container {
    min-width: $windowWidth;
    min-height: $windowHeight;
    display: flex;
    flex-direction: column;
    background: $windowBackground;
    border: 1px solid $windowBorderColor;
    box-shadow: 0px 2px 10px $windowShadowColor;

    .window-header {
        display: flex;
        justify-content: space-between;
        height: 48px;
        padding-left: 12px;

        .logo-container {
            padding-top: 10px;

            .app-logo {
                display: flex;

                .app-logo-icon {
                    width: 24px;
                    height: 24px;
                }

                .app-name {
                    color: $appNameColor;
                    font-size: 14px;
                    line-height: 26px;
                    padding-left: 8px;
                }
            }
        }

        .actions-container {
            display: flex;
        }
    }

}

.window-button-style {
    background-color: transparent;
    border: none;
    width: 30px;
    height: 30px;
    padding: 0;
    margin: 0;
    transition: background-color 150ms ease;

    .window-controls-icon {
        fill: $windowButtonsIconsColor;
        pointer-events: none;
        user-select: none;
        width: 30px;
        height: 30px;
        transition: fill 150ms ease;
    }

    &:hover {
        background-color: $windowButtonBacgroundHover;

        .window-controls-icon {
            fill: $windowButtonsIconsColorHover;
        }
    }

    &.close-window:hover {
        background-color: $windowButtonBacgroundHoverClose;
    }

    &:focus {outline:none;}

}

//global page setting
body {
    padding: 0;
    margin: 0;
    background-color: transparent;
    color: #F4F2FF;
    font-family: 'Lato', sans-serif;

    overflow-y: hidden !important;
}
body::-webkit-scrollbar {
  display: none;
}

h1, h2, h3, h4 {
    font-family: inherit;
    padding: 0px 50px;
    font-weight: 500;
}

h1 {
    background: #201C33;
    margin: 0px 0px 50px 0px;
    font-size: 36px;
    line-height: 100px;
}

h2 {
    margin: 0px 0px 50px 0px;
    font-size: 24px;
}

h3 {
    margin: 0px 0px 30px 0px;
    font-size: 18px;
}

h4 {
    color: #797399;
    margin: 0px 0px 20px 0px;
}

.container {
  height: 1000px !important;
  width: 600px !important;
    //padding: 0px 50px 50px 50px;

    .icon-style {
        //margin-right: 10px;
    }
}

hr {
    border-top: 1px solid #484266;
    border-bottom: none;
    margin: 50px;
}


.button-style {
  background: $buttonPrimaryBg;
  color: $buttonTxtColorLight;
  border: none;
  padding: 8px 16px;
  font-size: 16px;
  line-height: 125%;
  margin: 0;
  position: relative;
  font-weight: normal;
  font-family: inherit;
  transition: background-color 150ms ease;

  &:hover {
      background-color: $buttonPrimaryBgHover;
  }

  &:focus {outline:none;}

  &:disabled {
      opacity: 0.3;
      pointer-events: none;
  }

  &.secondary {
      background: transparent;
      color: $buttonTxtColorBright;
      border: 1px solid $buttonBorderColor;

      &:hover {
          background-color: $buttonSecundaryBgHoverColor;
      }
  }

  &.secondary-in-tooltip {
      background: $buttonSecundaryBgTooTip;
      color: $buttonTxtColorBright;
      border: 1px solid $buttonBorderColor;

      &:hover {
          background-color: $buttonSecundaryBgHoverTooTip;
      }
  }

  &.third {
      background: transparent;
      color: $buttonTxtColorBright;

      &:hover {
          background-color: $buttonThirdBgHover;
      }
  }

  &.third-in-tooltip {
      background: transparent;
      color: $buttonTxtColorBright;

      &:hover {
          background-color: $buttonThirdBgHoverToolTip;
      }
  }

  &.primary-marketing {
      padding: 12px 16px;
  }

  &.secondary-marketing {
      padding: 12px 16px;
      background: transparent;
      color: $buttonTxtColorBright;
      border: 1px solid $buttonBorderColor;

      &:hover {
          background-color: $buttonSecundaryBgHoverColor;
      }
  }

  &.subscribe {
      background: $subscribedButtonBg;

      .price {
          font-weight: bold;
      }

      &:hover {
          background-color: $subscribedButtonBgHover;
      }
  }

  &.subscribe-icon {
          background: $subscribedButtonBg;
          display: flex;
          align-items: center;
          padding: 8px 16px 8px 8px;

      &:hover {
          background-color: $subscribedButtonBgHover;
      }
  }

  .button-style-icon {
      fill: $buttonTxtColorBright;
      pointer-events: none;
      user-select: none;
      width: 24px;
      height: 24px;
      margin-right: 8px;
      transition: fill 150ms ease;
  }

  .loader-button-text {
      transition: all 150ms ease;
  }

  &.loading {
      pointer-events: none;
      min-width: 36px;
      min-height: 36px;
      padding: 0;
      border-radius: 50px;

      .loader-button-text {
        font-size: 0px;
      }

      .loader {
        opacity: 1;
        transform: scale(1);

        svg {
          animation: 0.75s linear rotating infinite;
        }
      }

      .login-service-icon {
        display: none;
      }
    }

  .loader {
    position: absolute;
    left: 0; right: 0;
    top: 0; bottom: 0;
    margin: auto;
    width: 18px;
    height: 18px;
    transition: opacity .4s, transform 0.4s ease-in-out;
    transform: scale(0.4);
    opacity: 0;

    svg {
      width: 18px;
      height: 18px;

      @keyframes rotating {
        to {
          transform: rotate(360deg);
        }
      }
    }
  }
}

.window-button-style {
  background-color: transparent;
  border: none;
  width: 30px;
  height: 30px;
  padding: 0;
  margin: 0;
  transition: background-color 150ms ease;

  .window-controls-icon {
      fill: $windowButtonsIconsColor;
      pointer-events: none;
      user-select: none;
      width: 30px;
      height: 30px;
      transition: fill 150ms ease;
  }

  &:hover {
      background-color: $windowButtonBacgroundHover;

      .window-controls-icon {
          fill: $windowButtonsIconsColorHover;
      }
  }

  &.close-window:hover {
      background-color: $windowButtonBacgroundHoverClose;
  }

  &:focus {outline:none;}

}

//global css



h1, h2, h3, h4 {
  font-family: inherit;
  padding: 0px 50px;
  font-weight: 500;
}

h1 {
  background: #201C33;
  margin: 0px 0px 50px 0px;
  font-size: 36px;
  line-height: 100px;
}

h2 {
  margin: 0px 0px 50px 0px;
  font-size: 24px;
}

h3 {
  margin: 0px 0px 30px 0px;
  font-size: 18px;
}

h4 {
  color: #797399;
  margin: 0px 0px 20px 0px;
}

table {
  td, th {
      padding: 10px 50px 10px 0px;
  }
  th {
      color: #797399;
      font-weight: 500;
      font-size: 16px;
      text-align: left;
  }
}

